<?php  

class WP_EIS_Opt extends WP_EIS_DB
{
	private $eis_id;
	protected $options;
	public function __construct()
	{
		$this->wp_eis_name_install();
		$this->wp_eis_items_install();
		$this->plugin_enqueues();
		$this->plugin_ajax();

		$this->options = get_option('wp_eis_settings');
		$this->register_settings_fields();

		WP_EIS_DB::__construct();
	}

	public function wp_eis_page()
	{
		if (function_exists('add_options_page')) 
		{
			add_menu_page(__('WP EIS', 'wp-eis'), __('WP EIS', 'wp-eis'), 'manage_options', __FILE__, array('WP_EIS_Opt', 'wp_eis_setting_page'), WP_EIS_URL.'images/wp-eis-ico.png');
			add_submenu_page(__FILE__, __('Settings', 'wp-eis'), __('Settings', 'wp-eis'), 'manage_options', __FILE__, array($this, 'wp_eis_settings_page'));
			add_submenu_page(__FILE__, __('Add EIS', 'wp-eis'), __('Add EIS', 'wp-eis'), 'manage_options', __FILE__.'/add-eis', array($this, 'wp_eis_add_name_page'));
			add_submenu_page(__FILE__, __('Add Items', 'wp-eis'), __('Add Items', 'wp-eis'), 'manage_options', __FILE__.'/add-items', array($this, 'wp_eis_add_items_page'));
			add_submenu_page(__FILE__, __('ALL EIS', 'wp-eis'), __('ALL EIS', 'wp-eis'), 'manage_options', __FILE__.'/all-eis', array($this, 'wp_eis_all_name_page'));
			add_submenu_page(__FILE__, __('ALL Items', 'wp-eis'), __('ALL Items', 'wp-eis'), 'manage_options', __FILE__.'/all-eis-items', array($this, 'wp_eis_all_items_page'));
			add_submenu_page(__FILE__, __('About Plugin', 'wp-eis'), __('About Plugin', 'wp-eis'), 'manage_options', __FILE__.'/about', array($this, 'wp_about_setting_page'));
		}
	}

	public function wp_eis_setting_page()
	{
		///
	}

	public function wp_eis_settings_page()
	{
		if (!current_user_can('manage_options')) {
			wp_die(__('You do not have sufficient permissions to access this page.', 'wp-eis'));
		}
		?>
		<div class="wrap">
			<div id="icon-options-general" class="icon32"><br></div>
			<h2><?php _e('EIS Settings', 'wp-eis'); ?></h2>
			<?php if ( isset($_GET['settings-updated']) && $_GET['settings-updated'] == 'true'): ?>
				<div id="setting-error-settings_updated" class="updated settings-error"> 
					<p><strong><?php _e('Settings saved.', 'wp-eis'); ?></strong></p>
				</div>
			<?php endif ?>
			<form method="post" action="options.php" >
				<?php settings_fields('wp_eis_settings'); ?>
				<?php do_settings_sections(__FILE__.'/header'); ?>
				<?php do_settings_sections(__FILE__.'/anchor'); ?>
			<p class="submit">
                <input type="submit" name="submit" id="submit" class="button button-primary" value="<?php _e('Save Settings', 'wp-eis'); ?>">
            </p >
			</form>
		</div>
		<?php
	}

	public function register_settings_fields()
	{
		register_setting('wp_eis_settings', 'wp_eis_settings');

		add_settings_section('wp_eis_h_section', __('Header Text Settings', 'wp-eis'), array($this, 'wp_eis_h_section_db'), __FILE__.'/header');
		add_settings_field('eis_h2_size', __('h2 size: ', 'wp-eis'), array($this, 'wp_eis_h2_size_set'), __FILE__.'/header', 'wp_eis_h_section');
		add_settings_field('eis_h2_color', __('h2 color: ', 'wp-eis'), array($this, 'wp_eis_h2_color_set'), __FILE__.'/header', 'wp_eis_h_section');
		add_settings_field('eis_h3_size', __('h3 size: ', 'wp-eis'), array($this, 'wp_eis_h3_size_set'), __FILE__.'/header', 'wp_eis_h_section');
		add_settings_field('eis_h3_color', __('h3 color: ', 'wp-eis'), array($this, 'wp_eis_h3_color_set'), __FILE__.'/header', 'wp_eis_h_section');
		
		add_settings_section('wp_eis_a_section', __('Navigation Color Settings', 'wp-eis'), array($this, 'wp_eis_a_section_db'), __FILE__.'/anchor');	
		add_settings_field('eis_a_color', __('Navigation Color: ', 'wp-eis'), array($this, 'wp_eis_a_color_set'), __FILE__.'/anchor', 'wp_eis_a_section');
		add_settings_field('eis_a_hover_color', __('Navigation Hover Color: ', 'wp-eis'), array($this, 'wp_eis_a_hover_color_set'), __FILE__.'/anchor', 'wp_eis_a_section');
	}

	public function wp_eis_h_section_db()
	{

	}

	public function wp_eis_a_section_db() 
	{

	}

	public function wp_eis_h2_size_set()
	{
		$value = isset( $this->options['eis_h2_size'] ) ? $this->options['eis_h2_size'] : '';
		$input  = '';
		$input .= '<input name="wp_eis_settings[eis_h2_size]" type="number" id="wp-eis-h2-size" value="'.$value.'" class="small-text code">';
		$input .= '<p class="description">'.__('Font size in pixel', 'wp-eis').'</p>';
		echo $input;
	}

	public function wp_eis_h2_color_set()
	{
		$value = isset( $this->options['eis_h2_color'] ) ? $this->options['eis_h2_color'] : '';
		$input  = '';
    	$input .= '<div>';
		$input .= '<input type="text" name="wp_eis_settings[eis_h2_color]" id="h2-color" class="color" value="'.$value.'" 
					style="background-color: '.$value.'; background-position: initial initial; background-repeat: initial initial;" data-default-color="#B5B5B5" />';
		$input .= '<input type="button" class="pickcolor button-secondary" value="'.__('Select Color', 'wp-eis').'">';
		$input .= '<input type="button" style="margin: 0 5px;" class="defaultcolor button-secondary" value="'.__('Default Color', 'wp-eis').'">';
		$input .= '<div class="colorpicker"></div>';
		$input .= '</div>';
    	echo $input;
	}

	public function wp_eis_h3_size_set()
	{
		$value = isset( $this->options['eis_h3_size'] ) ? $this->options['eis_h3_size'] : '';
		$input  = '';
		$input .= '<input name="wp_eis_settings[eis_h3_size]" type="number" id="wp-eis-h3-size" value="'.$value.'" class="small-text code">';
		$input .= '<p class="description">'.__('Font size in pixel', 'wp-eis').'</p>';
		echo $input;
	}

	public function wp_eis_h3_color_set()
	{
		$value = isset( $this->options['eis_h3_color'] ) ? $this->options['eis_h3_color'] : '';
		$input  = '';
    	$input .= '<div>';
		$input .= '<input type="text" name="wp_eis_settings[eis_h3_color]" id="h3-color" class="color" value="'.$value.'" data-default-color="#000000"
					style="background-color: '.$value.'; background-position: initial initial; background-repeat: initial initial;" />';
		$input .= '<input type="button" class="pickcolor button-secondary" value="'.__('Select Color', 'wp-eis').'">';
		$input .= '<input type="button" style="margin: 0 5px;" class="defaultcolor button-secondary" value="'.__('Default Color', 'wp-eis').'">';
		$input .= '<div class="colorpicker"></div>';
		$input .= '</div>';
    	echo $input;
	}

	public function wp_eis_a_color_set()
	{
		$value = isset( $this->options['eis_a_color'] ) ? $this->options['eis_a_color'] : '';
		$input  = '';
    	$input .= '<div>';
		$input .= '<input type="text" name="wp_eis_settings[eis_a_color]" id="a-color" class="color" value="'.$value.'" data-default-color="#666666" 
					style="background-color: '.$value.'; background-position: initial initial; background-repeat: initial initial;" />';
		$input .= '<input type="button" class="pickcolor button-secondary" value="'.__('Select Color', 'wp-eis').'">';
		$input .= '<input type="button" style="margin: 0 5px;" class="defaultcolor button-secondary" value="'.__('Default Color', 'wp-eis').'">';
		$input .= '<div class="colorpicker"></div>';
		$input .= '</div>';
    	echo $input;
	}

	public function wp_eis_a_hover_color_set()
	{
		$value = isset( $this->options['eis_a_hover_color'] ) ? $this->options['eis_a_hover_color'] : '';
		$input  = '';
    	$input .= '<div>';
		$input .= '<input type="text" name="wp_eis_settings[eis_a_hover_color]" id="a-hover-color" class="color" value="'.$value.'" data-default-color="#f0f0f0" 
					style="background-color: '.$value.'; background-position: initial initial; background-repeat: initial initial;" />';
		$input .= '<input type="button" class="pickcolor button-secondary" value="'.__('Select Color', 'wp-eis').'">';
		$input .= '<input type="button" style="margin: 0 5px;" class="defaultcolor button-secondary" value="'.__('Default Color', 'wp-eis').'">';
		$input .= '<div class="colorpicker"></div>';
		$input .= '</div>';
    	echo $input;
	}

	public function plugin_enqueues()
	{
		if(is_admin()) {
			wp_enqueue_script('jquery');
			wp_enqueue_script('media-upload');
			wp_enqueue_script('thickbox');
			wp_enqueue_style('thickbox');

			wp_enqueue_style('farbtastic');
			wp_enqueue_script('farbtastic');

			wp_enqueue_script('eis-js-init', WP_EIS_URL.'js/eis-init.js', array( 'jquery' ));
			wp_enqueue_style('eis-css-init', WP_EIS_URL.'css/eis-init.css');
			if(is_rtl()) {
				wp_enqueue_style('eis-css-init-rtl', WP_EIS_URL.'css/eis-init-rtl.css');
			}
		 	wp_enqueue_script('wp-eis-add-ajax',  WP_EIS_URL.'js/wp-eis-add-ajax.js', array( 'jquery' ) );
		 	wp_enqueue_script('wp-eis-update-ajax',  WP_EIS_URL.'js/wp-eis-update-ajax.js', array( 'jquery' ) );
		 	wp_enqueue_script('wp-eis-delete-ajax',  WP_EIS_URL.'js/wp-eis-delete-ajax.js', array( 'jquery' ) );
		}

	}

	public function plugin_ajax()
	{
		add_action('wp_ajax_wp_eis_add_name_ajax', array($this, 'wp_eis_add_name_ajax_process'));
		add_action('wp_ajax_wp_eis_update_name_ajax', array($this, 'wp_eis_update_name_ajax_process'));
		add_action('wp_ajax_wp_eis_delete_name_ajax', array($this, 'wp_eis_delete_name_ajax_process'));

		add_action('wp_ajax_wp_eis_add_items_ajax', array($this, 'wp_eis_add_items_ajax_process'));
		add_action('wp_ajax_wp_eis_update_items_ajax', array($this, 'wp_eis_update_items_ajax_process'));
		add_action('wp_ajax_wp_eis_deleted_items_ajax', array($this, 'wp_eis_deleted_items_ajax_process'));
	}


	public function wp_eis_add_name_ajax_process()
	{
		global $wpdb;
		// if(isset($_POST['wp_eis_add'])) {
		$errors = array();
		$name = $_POST['wp_eis_name'];
		$animation = $_POST['wp_eis_animation'];
		$autoplay = $_POST['wp_eis_autoplay'];
		$slideshow_interval = $_POST['wp_eis_slideshow_interval'];
		$speed = $_POST['wp_eis_speed'];
		$easing = $_POST['wp_eis_easing'];
		$titlesFactor = $_POST['wp_eis_titlesFactor'];
		$titlesSpeed = $_POST['wp_eis_titlesSpeed'];
		$titlesEasing = $_POST['wp_eis_titlesEasing'];
		$thumbMaxWidth = $_POST['wp_eis_thumbMaxWidth'];


		if( !isset($name) || empty($name) ) {
			$errors['name'] = __('Please Enter the Name of Slideshows', 'wp-eis');
		}
		if( !isset($slideshow_interval) || empty($slideshow_interval) ) {
			$slideshow_interval = 3000;
		}
		if( !isset($speed) || empty($speed) ) {
			$speed = 800;
		}
		if( !isset($titlesFactor) || empty($titlesFactor) ) {
			$titlesFactor = 0.60;
		}
		if( !isset($titlesSpeed) || empty($titlesSpeed) ) {
			$titlesSpeed = 800;
		}
		if( !isset($thumbMaxWidth) || empty($thumbMaxWidth) ) {
			$thumbMaxWidth = 150;
		}


		if( count($errors) == 0 ) {
			$this->insert_data(
				$wpdb->prefix.'eis_name', 
				array(
					"name"  				=> $name, 
					"animation"  			=> $animation, 
					"autoplay"  			=> $autoplay, 
					"slideshow_interval"  	=> $slideshow_interval, 
					"speed"  				=> $speed, 
					"easing"  				=> $easing, 
					"titles_factor"  		=> $titlesFactor, 
					"titles_speed"  		=> $titlesSpeed, 
					"titles_easing"  		=> $titlesEasing, 
					"thumb_max_width"  		=> $thumbMaxWidth 
				), 
				array("%s", "%s", "%s", "%d", "%d", "%s", "%.2f", "%d", "%s", "%d") 
			);	
			echo __('EIS has been created', 'wp-eis');
		} else {
			echo __('Error has been occured', 'wp-eis');
		}
		die();	
	}

	public function wp_eis_update_name_ajax_process()
	{
		global $wpdb;
		// if(isset($_POST['wp_eis_add'])) {
		$errors = array();
		$ID_name = $_POST['wp_eis_ID_name'];
		$name = $_POST['wp_eis_name'];
		$animation = $_POST['wp_eis_animation'];
		$autoplay = $_POST['wp_eis_autoplay'];
		$slideshow_interval = $_POST['wp_eis_slideshow_interval'];
		$speed = $_POST['wp_eis_speed'];
		$easing = $_POST['wp_eis_easing'];
		$titlesFactor = $_POST['wp_eis_titlesFactor'];
		$titlesSpeed = $_POST['wp_eis_titlesSpeed'];
		$titlesEasing = $_POST['wp_eis_titlesEasing'];
		$thumbMaxWidth = $_POST['wp_eis_thumbMaxWidth'];


		if( !isset($name) || empty($name) ) {
			$errors['name'] = __('Please Enter the Name of Slideshows', 'wp-eis');
		}
		if( !isset($slideshow_interval) || empty($slideshow_interval) ) {
			$slideshow_interval = 3000;
		}
		if( !isset($speed) || empty($speed) ) {
			$speed = 800;
		}
		if( !isset($titlesFactor) || empty($titlesFactor) ) {
			$titlesFactor = 0.60;
		}
		if( !isset($titlesSpeed) || empty($titlesSpeed) ) {
			$titlesSpeed = 800;
		}
		if( !isset($thumbMaxWidth) || empty($thumbMaxWidth) ) {
			$thumbMaxWidth = 150;
		}


		if( count($errors) == 0 ) {
			$this->update_data(
				$wpdb->prefix.'eis_name', 
				array(
					"name"  				=> $name, 
					"animation"  			=> $animation, 
					"autoplay"  			=> $autoplay, 
					"slideshow_interval"  	=> $slideshow_interval, 
					"speed"  				=> $speed, 
					"easing"  				=> $easing, 
					"titles_factor"  		=> $titlesFactor, 
					"titles_speed"  		=> $titlesSpeed, 
					"titles_easing"  		=> $titlesEasing, 
					"thumb_max_width"  		=> $thumbMaxWidth 
				), 
				array('ID_name' => $ID_name),
				array("%s", "%s", "%s", "%d", "%d", "%s", "%.2f", "%d", "%s", "%d"), 
				array("%d")
			);	
			echo __('EIS has been Updated', 'wp-eis');
		} else {
			echo __('Error has been occured', 'wp-eis');
		}
		die();	
	}

	public function wp_eis_delete_name_ajax_process()
	{
		global $wpdb;
		$id = $_POST['ID'];
		if( isset($id) && !empty($id) ) {
			$this->delete_data_by_id( $wpdb->prefix.'eis_name', 'ID_name', $id);
			echo __('EIS has been deleted successfully', 'wp-eis');
		} else {
			echo __('Error has been occured', 'wp-eis');
		}
		die();
	}


	public function wp_eis_add_items_ajax_process()
	{
		global $wpdb;
		// if(isset($_POST['wp_eis_add'])) {
		$errors = array();
		$name = $_POST['wp_eis_name'];
		$title_h2 = $_POST['wp_eis_htwo'];
		$title_h3 = $_POST['wp_eis_hthree'];
		$image = $_POST['wp_eis_image'];
		$thumbnail = $_POST['wp_eis_thumbnail'];
		$order = $_POST['wp_eis_order'];

		if( !isset($name) || empty($name) ) {
			$errors['name'] = __('Please Enter the Name of Slideshows', 'wp-eis');
		}
		if( !isset($title_h2) || empty($title_h2) ) {
			$errors['title_h2'] = __('Please Enter the title of Image', 'wp-eis');
		}
		if( !isset($title_h3) || empty($title_h3) ) {
			$errors['title_h3'] = __('Please Enter the title of Image', 'wp-eis');
		}
		if( !isset($image) || empty($image) ) {
			$errors['image'] = __('Please Enter the url of Image', 'wp-eis');
		}
		if( !isset($thumbnail) || empty($thumbnail) ) {
			$errors['thumbnail'] = __('Please Enter the thumbnail of Image', 'wp-eis');
		}
		$get_eis_names = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}eis_name WHERE name = '{$name}'");
		foreach ($get_eis_names as $get_eis_name) {
			$ID_name = $get_eis_name->ID_name;
		}
		if( count($errors) == 0 ) {
			$this->insert_data(
				$wpdb->prefix.'eis_items', 
				array(
					"ID_name"  	=> $ID_name, 
					"name"  	=> $name, 
					"title_h2"  => $title_h2, 
					"title_h3"  => $title_h3,
					"image"     => $image, 
					"thumbnail" => $thumbnail,
					"order"     => $order
				), 
				array("%d", "%s", "%s", "%s", "%s", "%s", "%d") 
			);	
			echo __('Images has been created', 'wp-eis');
		} else {
			echo __('Error has been occured', 'wp-eis');
		}
		die();	
	}

	public function wp_eis_update_items_ajax_process() {
		global $wpdb;
		// if(isset($_POST['wp_eis_add'])) {
		$errors = array();
		$ID = $_POST['wp_eis_ID'];
		$name = $_POST['wp_eis_name'];
		$title_h2 = $_POST['wp_eis_htwo'];
		$title_h3 = $_POST['wp_eis_hthree'];
		$image = $_POST['wp_eis_image'];
		$thumbnail = $_POST['wp_eis_thumbnail'];
		$order = $_POST['wp_eis_order'];

		if( !isset($name) || empty($name) ) {
			$errors['name'] = __('Please Enter the Name of Slideshows', 'wp-eis');
		}
		if( !isset($title_h2) || empty($title_h2) ) {
			$errors['title_h2'] = __('Please Enter the title of Image', 'wp-eis');
		}
		if( !isset($title_h3) || empty($title_h3) ) {
			$errors['title_h3'] = __('Please Enter the title of Image', 'wp-eis');
		}
		if( !isset($image) || empty($image) ) {
			$errors['image'] = __('Please Enter the url of Image', 'wp-eis');
		}
		if( !isset($thumbnail) || empty($thumbnail) ) {
			$errors['thumbnail'] = __('Please Enter the thumbnail of Image', 'wp-eis');
		}
		if( !isset($ID) || empty($ID) ) {
			$errors['ID'] = '';
		}

		if( count($errors) == 0 ) {
			$this->update_data(
				$wpdb->prefix.'eis_items', 
				array(
					"name"  	=> $name, 
					"title_h2"  => $title_h2, 
					"title_h3"  => $title_h3,
					"image"     => $image, 
					"thumbnail" => $thumbnail,
					"order"     => $order
				),
				array('ID' => $ID),
				array("%s", "%s", "%s", "%s", "%s", "%d"),
				array("%d")
			);	
			echo __('Items has been Updated', 'wp-eis');
		} else {
			echo __('Error has been occured', 'wp-eis');
		}
		die();
	}

	public function wp_eis_deleted_items_ajax_process()
	{
		global $wpdb;
		$id = $_POST['ID'];
		if( isset($id) && !empty($id) ) {
			$this->delete_data_by_id( $wpdb->prefix.'eis_items', 'ID', $id);
			echo __('Item has been deleted successfully', 'wp-eis');
		} else {
			echo __('Error has been occured', 'wp-eis');
		}
		die();
	}

	public function wp_eis_add_name_page()
	{
		if (!current_user_can('manage_options')) {
			wp_die(__('You do not have sufficient permissions to access this page.', 'wp-eis'));
		}
		?>
		<div class="wrap">
			<div id="icon-tools" class="icon32"><br></div>
			<h2><?php _e('Add New EIS', 'wp-eis'); ?></h2>
			<form action="" method="post" id="add-new-eis">
				<table class="form-table">
				<tbody>
					<tr valign="top">
						<th scope="row"><label for="wp-eis-name"><?php _e('Name Of EIS :', 'wp-eis'); ?></label></th>
						<td>
							<input name="wp_eis_name" type="text" id="wp-eis-name" value="" class="regular-text code">
							<p class="description"><?php _e('Enter A valid name without space or dash.In other words something like this eis_slider', 'wp-eis'); ?></p>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="wp-eis-animation"><?php _e('Animation :', 'wp-eis'); ?></label></th>
						<td>
							<input name="wp_eis_animation" type="text" id="wp-eis-animation" value="" class="regular-text code">
							<p class="description"><?php _e('Animation types: <br />"sides" : new slides will slide in from left / right <br /> "center": new slides will appear in the center', 'wp-eis'); ?></p>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="wp-eis-animation"><?php _e('Autoplay :', 'wp-eis'); ?></label></th>
						<td>
							<select id="wp-eis-autoplay" name="wp_eis_autoplay">
								<option value="false"><?php _e('False', 'wp-eis'); ?></option>
								<option value="true"><?php _e('True', 'wp-eis'); ?></option>
							</select>
							<p class="description"><?php _e('If true the slider will automatically slide, and it will only stop if the user clicks on a thumb', 'wp-eis'); ?></p>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="wp-eis-slideshow-interval"><?php _e('Slideshow Interval :', 'wp-eis'); ?></label></th>
						<td>
							<input name="wp_eis_slideshow_interval" type="number" id="wp-eis-slideshow-interval" value="" class="small-text code">
							<p class="description"><?php _e('Interval for the slideshow', 'wp-eis') ?></p>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="wp-eis-speed"><?php _e('Speed :', 'wp-eis'); ?></label></th>
						<td>
							<input name="wp_eis_speed" type="number" id="wp-eis-speed" value="" class="small-text code">
							<p class="description"><?php _e('Speed for the sliding animation', 'wp-eis'); ?></p>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="wp-eis-easing"><?php _e('Easing :', 'wp-eis'); ?></label></th>
						<td>
							<input name="wp_eis_easing" type="text" id="wp-eis-easing" value="" class="regular-text code">
							<p class="description"><?php _e('Easing for the sliding animation', 'wp-eis'); ?></p>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="wp-eis-titlesFactor"><?php _e('Titles Factor :', 'wp-eis'); ?></label></th>
						<td>
							<input name="wp_eis_titlesFactor" type="number" step="0.01" name="quantity" min="0.00" max="1.00" id="wp-eis-titlesFactor" value="" class="small-text code">
							<p class="description"><?php _e('Percentage of speed for the titles animation. Speed will be speed * titlesFactor titlesFactor : 0.60', 'wp-eis'); ?></p>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="wp-eis-titlesSpeed"><?php _e('Titles Speed :', 'wp-eis'); ?></label></th>
						<td>
							<input name="wp_eis_titlesSpeed" type="number" id="wp-eis-titlesSpeed" value="" class="small-text code">
							<p class="description"><?php _e('Titles animation speed', 'wp-eis'); ?></p>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="wp-eis-titleseasing"><?php _e('Titles Easing :', 'wp-eis'); ?></label></th>
						<td>
							<input name="wp_eis_titlesEasing" type="text" id="wp-eis-titlesEasing" value="" class="regular-text code">
							<p class="description"><?php _e('Titles animation easing', 'wp-eis'); ?></p>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="wp-eis-thumbmaxwidth"><?php _e('Thumb Max Width :', 'wp-eis'); ?></label></th>
						<td>
							<input name="wp_eis_thumbMaxWidth" type="number" id="wp-eis-thumbMaxWidth" value="" class="small-text code">
							<p class="description"><?php _e('Maximum width for the thumbs in pixels', 'wp-eis'); ?></p>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="wp-eis-thumbmaxwidth"><?php _e('For more information about this inputs :', 'wp-eis'); ?></label></th>
						<td><a href="http://tympanus.net/codrops/2011/11/21/elastic-image-slideshow-with-thumbnail-preview"><?php _e('Tympanus : Elastic Image Slideshow with Thumbnail Preview', 'wp-eis'); ?></a></td>
					</tr>
				</tbody>
				</table>
				<p class="submit">
					<input type="submit" name="submit" id="submit" class="button button-primary" value="<?php _e('Add EIS', 'wp-eis'); ?>">
					<span id="wp-eis-respond"></span>
				</p>
			</form>
		</div>
		<?php
	}

	public function wp_eis_add_items_page()
	{
		if (!current_user_can('manage_options')) {
			wp_die(__('You do not have sufficient permissions to access this page.', 'wp-eis'));
		}
		?>
		<div class="wrap">
			<div id="icon-upload" class="icon32"><br></div>
			<h2><?php _e('Add Item Into EIS', 'wp-eis'); ?></h2>
			<form action="" method="post" id="add-new-items-eis">
				<table class="form-table">
				<tbody>
					<tr valign="top">
						<th scope="row"><label for="wp-eis-name"><?php _e('Name :', 'wp-eis'); ?></label></th>
						<td>
							<?php  
								global $wpdb;
								$get_eis_names = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}eis_name");
							?>
								<select name="wp_eis_name" id="wp-eis-name-item">
									<option value="default"><?php _e('Select Your EIS', 'wp-eis'); ?></option>
							<?php if ( count($get_eis_names) > 0 ): ?>
									<?php foreach ($get_eis_names as $get_eis_name): ?>
										<option value="<?php echo trim(esc_attr($get_eis_name->name)); ?>"><?php echo $get_eis_name->name; ?></option>
									<?php endforeach ?>
							<?php endif ?>
								</select>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="wp-eis-htwo"><?php _e('h2 Tag Title :', 'wp-eis'); ?></label></th>
						<td><input name="wp_eis_htwo" type="text" id="wp-eis-htwo" value="" class="regular-text code"></td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="wp-eis-hthree"><?php _e('h3 Tag Title :', 'wp-eis'); ?></label></th>
						<td><input name="wp_eis_hthree" type="text" id="wp-eis-hthree" value="" class="regular-text code"></td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="wp-eis-image"><?php _e('Image :', 'wp-eis'); ?></label></th>
						<td>
							<span class="eis-upload-image-default"><?php echo WP_EIS_URL.'assets/images/default-preview.jpg'; ?></span>
							<input id="wp-eis-image" class="eis-upload-url" type="text" name="wp_eis_image" value="" />
							<input id="eis-upload-image" class="eis-upload-button button" type="button" name="upload_button" value="<?php _e('Upload', 'wp-eis'); ?>" />
							<span class="eis-remove-image"><?php _e('Remove Icon', 'wp-eis'); ?></span>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="wp-eis-thumbnail"><?php _e('Thumbnail :', 'wp-eis'); ?></label></th>
						<td>
							<span class="eis-upload-image-default"><?php echo WP_EIS_URL.'assets/images/default-preview.jpg'; ?></span>
							<input id="wp-eis-thumbnail" class="eis-upload-url" type="text" name="wp_eis_thumbnail" value="" />
							<input id="eis-upload-thumbnail" class="eis-upload-button button" type="button" name="upload_button" value="<?php _e('Upload', 'wp-eis'); ?>" />
							<span class="eis-remove-image"><?php _e('Remove Icon', 'wp-eis'); ?></span>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="wp-eis-order"><?php _e('Order :', 'wp-eis'); ?></label></th>
						<td><input name="wp_eis_order" type="text" id="wp-eis-order" value="" class="small-text code"></td>
					</tr>
				</tbody>
				</table>
				<p class="submit">
					<input type="submit" name="submit" id="submit" class="button button-primary" value="<?php _e('Add EIS', 'wp-eis'); ?>">
					<span id="wp-eis-respond"></span>
				</p>
			</form>
		</div>
		<?php
	}

	public function wp_eis_all_name_page()
	{
		if (!current_user_can('manage_options')) {
			wp_die(__('You do not have sufficient permissions to access this page.'));
		}
		?>
		<div class="wrap">
			<div id="icon-edit" class="icon32 icon32-posts-post"><br></div>
			<h2><?php _e('EIS Lists', 'wp-eis'); ?></h2>
			<p></p>
			<p></p>
			<form action="" method="post">
				<table class="widefat fixed" cellspacing="0">
				<thead>
					<tr>
						<th scope="col" class="manage-column column-name" width="10%"><?php _e('ID', 'wp-eis'); ?></th>
						<th scope="col" class="manage-column column-name" width="20%"><?php _e('Name', 'wp-eis'); ?></th>
						<th scope="col" class="manage-column column-name" width="35%"><?php _e('Shortcode', 'wp-eis'); ?></th>
						<th scope="col" class="manage-column column-name" width="45%"><?php _e('Theme Function', 'wp-eis'); ?></th>
					</tr>
				</thead>


				<tbody>

					<?php  
						global $wpdb;
						$get_eis_names = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}eis_name");
						$page = $_GET['page']; 
					?>

					<?php if( count($get_eis_names ) > 0 ) : ?>
						<?php foreach($get_eis_names as $get_eis_name) : ?>
							<tr class="" valign="middle">
								<td class="column-name"><?php echo $get_eis_name->ID_name ; ?></td>
								<td class="column-name">
									<strong><a class="row-title" href="?page=<?php echo $page; ?>&action=edit&ID=<?php echo $get_eis_name->ID_name; ?>" title="<?php _e('Edit', 'wp-eis'); ?> “<?php echo $get_eis_name->name ; ?>”"><?php echo $get_eis_name->name ; ?></a></strong>
								<div class="row-actions"><span class="edit"><a href="?page=<?php echo $page; ?>&action=edit&ID=<?php echo $get_eis_name->ID_name; ?>" title="<?php _e('Edit this item', 'wp-eis'); ?>"><?php _e('Edit', 'wp-eis'); ?></a> | </span><span class="trash"><a class="wp-eis-delete" title="<?php _e('Delete this EIS', 'wp-eis'); ?>" href="?page=<?php echo $page; ?>&action=delete&ID=<?php echo $get_eis_name->ID_name; ?>"><?php _e('Delete', 'wp-eis'); ?></a></span></div>
								</td>
								<td class="column-name">
									<span style="display:block;">[wp_eis id="<?php echo $get_eis_name->ID_name ; ?>"]</span>
									<span style="display:block;">[wp_eis id="<?php echo $get_eis_name->ID_name ; ?>"]<?php _e('EIS Title', 'wp-eis'); ?>[/wp_eis]</span>
								</td>
								<td class="column-name"><span><code><?php echo esc_attr("<?php echo do_shortcode('[wp_eis id=\"".$get_eis_name->ID_name."\"]'); ?>") ?></code></span></td>
							</tr>
						<?php endforeach; ?>
					<?php else : ?>
						<tr>
							<td colspan="7"><?php _e('Not Found!', 'wp-eis'); ?></td>
						</tr>
					<?php endif; ?>

				</tbody>

				<tfoot>
					<tr>
						<th scope="col" class="manage-column column-name" width="10%"><?php _e('ID', 'wp-eis'); ?></th>
						<th scope="col" class="manage-column column-name" width="20%"><?php _e('Name', 'wp-eis'); ?></th>
						<th scope="col" class="manage-column column-name" width="35%"><?php _e('Shortcode', 'wp-eis'); ?></th>
						<th scope="col" class="manage-column column-name" width="45%"><?php _e('Theme Function', 'wp-eis'); ?></th>
					</tr>				
				</tfoot>
				</table>
			</form>

			<?php if ( isset($_GET['action']) && $_GET['action'] == 'edit' ): ?>
				<?php if ( isset($_GET['ID']) ): ?>
					<?php 
						$id = $_GET['ID']; 
						$get_eis_name_by_id = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}eis_name WHERE ID_name=$id");
						$get_eis_name_by_id = $get_eis_name_by_id[0];
					?>
					<?php if ( count($get_eis_name_by_id) > 0 ): ?>
						<h1><?php _e('Edit EIS', 'wp-eis'); ?></h1>
						<form action="" method="post" id="update-name-eis">
							<table class="form-table">
							<tbody>
								<tr valign="top">
									<th scope="row"><label for="wp-eis-name"><?php _e('Name Of EIS :', 'wp-eis'); ?></label></th>
									<td>
										<input name="wp_eis_ID_name" type="hidden" id="wp-eis-name" value="<?php echo $get_eis_name_by_id->ID_name; ?>" class="regular-text code">
										<input name="wp_eis_name" type="text" id="wp-eis-name" value="<?php echo $get_eis_name_by_id->name; ?>" class="regular-text code">
									</td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="wp-eis-animation"><?php _e('Animation :', 'wp-eis'); ?></label></th>
									<td><input name="wp_eis_animation" type="text" id="wp-eis-animation" value="<?php echo $get_eis_name_by_id->animation; ?>" class="regular-text code"></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="wp-eis-animation"><?php _e('Autoplay :', 'wp-eis'); ?></label></th>
									<td>
										<select id="wp-eis-autoplay" name="wp_eis_autoplay">
											<?php $options = array('true', 'false'); ?>
											<?php foreach ($options as $option): ?>
												<?php  
													( $get_eis_name_by_id->autoplay == $option ) ?
														$selected = 'selected="selected"' :
														$selected = '';
												?>
													<option value="<?php echo $option; ?>" <?php echo $selected; ?>><?php echo $option; ?></option>
											<?php endforeach ?>
										</select>
									</td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="wp-eis-slideshow-interval"><?php _e('Slideshow Interval :', 'wp-eis'); ?></label></th>
									<td><input name="wp_eis_slideshow_interval" type="number" id="wp-eis-slideshow-interval" value="<?php echo $get_eis_name_by_id->slideshow_interval; ?>" class="small-text code"></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="wp-eis-speed"><?php _e('Speed :', 'wp-eis'); ?></label></th>
									<td><input name="wp_eis_speed" type="number" id="wp-eis-speed" value="<?php echo $get_eis_name_by_id->speed; ?>" class="small-text code"></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="wp-eis-easing"><?php _e('Easing :', 'wp-eis'); ?></label></th>
									<td><input name="wp_eis_easing" type="text" id="wp-eis-easing" value="<?php echo $get_eis_name_by_id->easing; ?>" class="regular-text code"></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="wp-eis-titlesFactor"><?php _e('Titles Factor :', 'wp-eis'); ?></label></th>
									<td><input name="wp_eis_titlesFactor" type="number" step="0.01" name="quantity" min="0.00" max="1.00" id="wp-eis-titlesFactor" value="<?php echo $get_eis_name_by_id->titles_factor; ?>" class="small-text code"></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="wp-eis-titlesSpeed"><?php _e('Titles Speed :', 'wp-eis'); ?></label></th>
									<td><input name="wp_eis_titlesSpeed" type="number" id="wp-eis-titlesSpeed" value="<?php echo $get_eis_name_by_id->titles_speed; ?>" class="small-text code"></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="wp-eis-titleseasing"><?php _e('Titles Easing :', 'wp-eis'); ?></label></th>
									<td><input name="wp_eis_titlesEasing" type="text" id="wp-eis-titlesEasing" value="<?php echo $get_eis_name_by_id->titles_easing; ?>" class="regular-text code"></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="wp-eis-thumbmaxwidth"><?php _e('Thumb Max Width :', 'wp-eis'); ?></label></th>
									<td><input name="wp_eis_thumbMaxWidth" type="number" id="wp-eis-thumbMaxWidth" value="<?php echo $get_eis_name_by_id->thumb_max_width; ?>" class="small-text code"></td>
								</tr>
							</tbody>
							</table>
							<p class="submit">
								<input type="submit" name="submit" id="submit" class="button button-primary" value="<?php _e('Update EIS', 'wp-eis'); ?>">
								<a href="?page=<?php echo $page; ?>" class="button"><?php _e('Cancel', 'wp-eis'); ?></a>
								<span id="wp-eis-respond"></span>
							</p>
						</form>			
					<?php endif ?>
				<?php endif ?>
			<?php endif ?>
		</div>
		<?php
	}

	public function wp_eis_all_items_page()
	{
		if (!current_user_can('manage_options')) {
			wp_die(__('You do not have sufficient permissions to access this page.', 'wp-eis'));
		}
		?>

		<div class="wrap">
			<div id="icon-edit" class="icon32 icon32-posts-post"><br></div>
			<h2><?php _e('EIS\'s Items Lists', 'wp-eis'); ?></h2>
			<p></p>
			<p></p>
			<form action="" method="post">
				<table class="widefat fixed" cellspacing="0">
				<thead>
					<tr>
						<th scope="col" class="manage-column column-name" width="10%"><?php _e('ID', 'wp-eis'); ?></th>
						<th scope="col" class="manage-column column-name" width="30%"><?php _e('Name', 'wp-eis'); ?></th>
						<th scope="col" class="manage-column column-name" width="20%"><?php _e('Order', 'wp-eis'); ?></th>
						<th scope="col" class="manage-column column-name" width="50%"><?php _e('Thumbnail', 'wp-eis'); ?></th>
					</tr>
				</thead>


				<tbody>

					<?php  
						global $wpdb;
						$get_eis_items = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}eis_items");
						$page = $_GET['page']; 
					?>

					<?php if( count($get_eis_items ) > 0 ) : ?>
						<?php foreach( $get_eis_items as $get_eis_item) : ?>
							<tr class="" valign="middle">
								<td class="column-name"><?php echo $get_eis_item->ID ; ?></td>
								<td class="column-name">
									<strong><a class="row-title" href="?page=<?php echo $page; ?>&action=edit&ID=<?php echo $get_eis_item->ID; ?>" title="<?php _e('Edit', 'wp-eis'); ?> “<?php echo $get_eis_item->name ; ?>”"><?php echo $get_eis_item->name ; ?></a></strong>
								<div class="row-actions"><span class="edit"><a href="?page=<?php echo $page; ?>&action=edit&ID=<?php echo $get_eis_item->ID; ?>" title="<?php _e('Edit this item', 'wp-eis'); ?>"><?php _e('Edit', 'wp-eis'); ?></a> | </span><span class="trash"><a class="wp-eis-item-delete" title="<?php _e('Delete this image', 'wp-eis'); ?>" href="?page=<?php echo $page; ?>&action=delete&ID=<?php echo $get_eis_item->ID; ?>"><?php _e('Delete', 'wp-eis'); ?></a></span></div>
								</td>
								<td class="column-name"><?php echo !empty($get_eis_item->order) ? $get_eis_item->order : $get_eis_item->ID; ?></td>
								<td class="column-name column-item-image"><img src="<?php echo $get_eis_item->thumbnail; ?>" /></td>
							</tr>
						<?php endforeach; ?>
					<?php else : ?>
						<tr>
							<td colspan="7"><?php _e('Not Found!', 'wp-eis'); ?></td>
						</tr>
					<?php endif; ?>

				</tbody>

				<tfoot>
					<tr>
						<th scope="col" class="manage-column column-name" width="10%"><?php _e('ID', 'wp-eis'); ?></th>
						<th scope="col" class="manage-column column-name" width="30%"><?php _e('Name', 'wp-eis'); ?></th>
						<th scope="col" class="manage-column column-name" width="20%"><?php _e('Order', 'wp-eis'); ?></th>
						<th scope="col" class="manage-column column-name" width="50%"><?php _e('Thumbnail', 'wp-eis'); ?></th>
					</tr>
				</tfoot>
				</table>
			</form>
			<?php if ( isset($_GET['action']) && $_GET['action'] == 'edit' ): ?>
				<?php if ( isset($_GET['ID']) ): ?>
				<?php 
					$id = $_GET['ID']; 
					$get_eis_item_by_id = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}eis_items WHERE ID=$id");
					$get_eis_item_by_id = $get_eis_item_by_id[0]
				?>
				<?php if ( count($get_eis_item_by_id) > 0 ): ?>
					<h3><?php _e('Edit EIS Item', 'wp-eis'); ?></h3>
					<form action="" method="post" id="update-item-eis">
						<table class="form-table">
						<tbody>
							<tr valign="top">
								<th scope="row"><label for="wp-eis-name"><?php _e('Name :', 'wp-eis'); ?></label></th>
								<td>
									<input name="wp_eis_ID" type="hidden" id="wp-eis-name" value="<?php echo $get_eis_item_by_id->ID ; ?>" class="regular-text code">
									<?php  
										global $wpdb;
										$get_eis_names = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}eis_name");
										$current_eis_name = $get_eis_item_by_id->name;
									?>
									<?php if ( count($get_eis_names) > 0 ): ?>
										<select name="wp_eis_name" id="wp-eis-name-item">
											<?php foreach ($get_eis_names as $get_eis_name): ?>
											<?php  
												$selected = ( $current_eis_name == $get_eis_name->name ) ? 'selected="selected"' : '';
											?>
												<option value="<?php echo trim(esc_attr($get_eis_name->name)); ?>" <?php echo $selected; ?>><?php echo $get_eis_name->name; ?></option>
											<?php endforeach ?>
										</select>
							<?php endif ?>
								</td>
							</tr>
							<tr valign="top">
								<th scope="row"><label for="wp-eis-htwo"><?php _e('h2 Tag Title :', 'wp-eis'); ?></label></th>
								<td><input name="wp_eis_htwo" type="text" id="wp-eis-htwo" value="<?php echo $get_eis_item_by_id->title_h2; ?>" class="regular-text code"></td>
							</tr>
							<tr valign="top">
								<th scope="row"><label for="wp-eis-hthree"><?php _e('h3 Tag Title :', 'wp-eis'); ?></label></th>
								<td><input name="wp_eis_hthree" type="text" id="wp-eis-hthree" value="<?php echo $get_eis_item_by_id->title_h3; ?>" class="regular-text code"></td>
							</tr>
							<tr valign="top">
								<th scope="row"><label for="wp-eis-image"><?php _e('Image :', 'wp-eis'); ?></label></th>
								<td>
									<span class="eis-upload-image-default"><?php echo WP_EIS_URL.'images/default-preview.jpg'; ?></span>
									<input id="wp-eis-image" class="eis-upload-url" type="text" name="wp_eis_image" value="<?php echo $get_eis_item_by_id->image; ?>" />
									<input id="eis-upload-image" class="eis-upload-button button" type="button" name="upload_button" value="<?php _e('Upload', 'wp-eis'); ?>" />
									<span class="eis-remove-image"><?php _e('Remove Icon', 'wp-eis'); ?></span>
									<?php 
										if($get_eis_item_by_id->image) {
											echo '<img src="'.$get_eis_item_by_id->image.'" class="eis-upload-image eis-upload-image" />';
										}
									?>
								</td>
							</tr>
							<tr valign="top">
								<th scope="row"><label for="wp-eis-thumbnail"><?php _e('Thumbnail :', 'wp-eis'); ?></label></th>
								<td>
									<span class="eis-upload-image-default"><?php echo WP_EIS_URL.'images/default-preview.jpg'; ?></span>
									<input id="wp-eis-thumbnail" class="eis-upload-url" type="text" name="wp_eis_thumbnail" value="<?php echo $get_eis_item_by_id->thumbnail; ?>" />
									<input id="eis-upload-thumbnail" class="eis-upload-button button" type="button" name="upload_button" value="<?php _e('Upload', 'wp-eis'); ?>" />
									<span class="eis-remove-image"><?php _e('Remove Icon', 'wp-eis'); ?></span>
									<?php 
										if($get_eis_item_by_id->thumbnail) {
											echo '<img src="'.$get_eis_item_by_id->thumbnail.'" class="eis-upload-image eis-upload-thumbnail" />';
										}
									?>
								</td>
							</tr>
							<tr valign="top">
								<th scope="row"><label for="wp-eis-order"><?php _e('Order :', 'wp-eis'); ?></label></th>
								<td><input name="wp_eis_order" type="text" id="wp-eis-order" value="<?php echo !empty($get_eis_item_by_id->order) ? $get_eis_item_by_id->order : $get_eis_item_by_id->ID; ?>" class="small-text code"></td>
							</tr>
						</tbody>
						</table>
						<p class="submit">
							<input type="submit" name="submit" id="submit" class="button button-primary" value="<?php _e('Update Item', 'wp-eis'); ?>">
							<a href="?page=<?php echo $page; ?>" title="<?php _e('Cancel', 'wp-eis'); ?>" class="button"><?php _e('Cancel', 'wp-eis'); ?></a>
							<span id="wp-eis-respond"></span>
						</p>
					</form>
				<?php endif ?>
				<?php endif ?>
			<?php endif ?>
		</div>
		<?php
	}

	public function wp_about_setting_page()
	{
		if (!current_user_can('manage_options')) {
			wp_die(__('You do not have sufficient permissions to access this page.', 'wp-eis'));
		}
		?>
		<div class="wrap">
			<div id="icon-index" class="icon32"><br></div>
			<h2><?php _e('About EIS Plugin', 'wp-eis'); ?></h2>
			<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row"><a href=""><img src="<?php echo WP_EIS_URL.'images/mehral.png'; ?>" /></a></th>
					<th scope="row"></th>
					<th scope="row"></th>
				</tr>
			</tbody>
			</table>
			<p><?php _e('Hi, This plugin is a responsive slideshow plugin that generated from ', 'wp-eis'); ?> <a href="http://tympanus.net/codrops/2011/11/21/elastic-image-slideshow-with-thumbnail-preview/"><?php _e('tympanus.net', 'wp-eis'); ?></a></p>
			<p><?php _e('This plugin is available in two languages Persian & English ', 'wp-eis'); ?></p>
			<p><?php _e('If you want to translate this plugin in your language please send your translating to ', 'wp-eis'); ?><a href="mailto:mehral.com@hotmail.com">mehral.com@hotmail.com</a> </p>
			<p><?php _e('If you have any questions about this plugin, you can ask your questions here', 'wp-eis'); ?> <a href="http://blog.mehral.com/projects/eis-wordpress-plugin/"><?php _e('EIS Page', 'wp-eis'); ?></a></p>
			<p><?php _e('At the end if you liked this plugin you can support me by becoming one of my', 'wp-eis'); ?> <a href="htttp://www.facebook.com/mehralco"><?php _e('facebook', 'wp-eis'); ?></a> <?php _e('fans', 'wp-eis'); ?></p>
			<p><?php _e('Good to see you again', 'wp-eis'); ?> ;-)</p>
		</div>
		<?php
	}
}

?>