jQuery(document).ready(function($) {
	
	$('#update-name-eis').bind('submit', function(e) {
		e.preventDefault();
		console.log('working');
		var name = $('#wp-eis-name').val(),
			animation = $('#wp-eis-animation').val(),
			autoplay = $('#wp-eis-autoplay').val(),
			slideshowInterval = $('#wp-eis-slideshow-interval').val(),
			speed = $('#wp-eis-speed').val(),
			easing = $('#wp-eis-easing').val(),
			titlesFactor = $('#wp-eis-titlesFactor').val(),
			titlesSpeed = $('#wp-eis-titlesSpeed').val(),
			titlesEasing = $('#wp-eis-titlesEasing').val(),
			thumbMaxWidth = $('#wp-eis-thumbMaxWidth').val(),
			data = $(this).serialize();

		if(name == '') {
			if( $('body').hasClass('locale-fa-ir') ) {
				$('#wp-eis-name').addClass('wp-eis-error').attr('placeholder', 'لطفا نام معتبری وارد کنید');
			} else {
				$('#wp-eis-name').addClass('wp-eis-error').attr('placeholder', 'Please enter a valid name');
			}
			
			$('#wp-eis-name').bind('input', function() {
				$(this).removeClass('wp-eis-error');
			});
			return false;
		}
		$.ajax({
			type: 'POST',
			data: data + "&action=wp_eis_update_name_ajax",
			url: ajaxurl,
			//dataType: 'json',
			//data: { d },
			beforeSend: function() {
				$('#wp-eis-respond').css({'display': 'inline-block'});
				if( $('body').hasClass('locale-fa-ir') ) {
					$('#wp-eis-respond').html('داده ها درحال فرستادن است').addClass('sending-data');
				} else {
					$('#wp-eis-respond').html('Sending your data').addClass('sending-data');
				}
			},
			success: function(response) {
				if( response ) {
					$('#wp-eis-respond')
					.html(response).addClass('success-respond')
					.delay(2000).fadeOut(2000, function() {
						$(this).removeClass('sending-data success-respond')
					})
				} else {
					$('#wp-eis-respond').html(response).addClass('error-respond')
					.delay(2000).fadeOut(2000, function() {
						if( $('body').hasClass('locale-fa-ir') ) {
							$(this).removeClass().html('<a href="" title="بار دیگر امتحان کنید" class="reload button">بار دیگر امتحان کنید</a>').fadeIn();	
						} else {
							$(this).removeClass().html('<a href="" title="Try again" class="reload button">Try again</a>').fadeIn();	
						}
					});
				}
			}
		});
	});
	
	// Update wp_eis_update_item
	$('#update-item-eis').bind('submit', function(e) {
		e.preventDefault();
		var name = $('#wp-eis-name').val(),
			title_h2 = $('#wp-eis-htwo').val(),
			title_h3 = $('#wp-eis-hthree').val(),
			image = $('#wp-eis-image').val(),
			thumbnail = $('#wp-eis-thumbnail').val(),
			order = $('#wp-eis-order').val(),
			data = $(this).serialize();
		if(name == '') {
			$('#wp-eis-name').addClass('wp-eis-error');
			$('#wp-eis-name').bind('input', function() {
				$(this).removeClass('wp-eis-error');
			});
			return false;
		}
		if(title_h2 == '') {
			if( $('body').hasClass('locale-fa-ir') ) {
				$('#wp-eis-htwo').addClass('wp-eis-error').attr('placeholder', 'عنوانی برای آیتم خود انتخاب کنید');
			} else {
				$('#wp-eis-htwo').addClass('wp-eis-error').attr('placeholder', 'Please enter your title');
			}
			
			$('#wp-eis-htwo').bind('input', function() {
				$(this).removeClass('wp-eis-error');
			});
			return false;
		}
		if(title_h3 == '') {
			if( $('body').hasClass('locale-fa-ir') ) {
				$('#wp-eis-hthree').addClass('wp-eis-error').attr('placeholder', 'عنوانی برای آیتم خود انتخاب کنید');
			} else {
				$('#wp-eis-hthree').addClass('wp-eis-error').attr('placeholder', 'Please enter your title');
			}
			
			$('#wp-eis-hthree').bind('input', function() {
				$(this).removeClass('wp-eis-error');
			});
			return false;
		}
		if(image == '') {
			if( $('body').hasClass('locale-fa-ir') ) {
				$('#wp-eis-image').addClass('wp-eis-error').attr('placeholder', 'عکس برای آیتم خود انتخاب کنید');
			} else {
				$('#wp-eis-image').addClass('wp-eis-error').attr('placeholder', 'Please enter a larg image');
			}
			
			$('#wp-eis-image').bind('input', function() {
				$(this).removeClass('wp-eis-error');
			});
			return false;
		}
		if(thumbnail == '') {
			if( $('body').hasClass('locale-fa-ir') ) {
				$('#wp-eis-thumbnail').addClass('wp-eis-error').attr('placeholder', 'عکس انگشت نمایی برای آیتم انتخاب کنید');
			} else {
				$('#wp-eis-thumbnail').addClass('wp-eis-error').attr('placeholder', 'Please enter thumbnail appropriate image');
			}
			
			$('#wp-eis-thumbnail').bind('input', function() {
				$(this).removeClass('wp-eis-error');
			});
			return false;
		}

		// console.log(data);
		$.ajax({
			type: 'POST',
			data: data + "&action=wp_eis_update_items_ajax",
			url: ajaxurl,
			//dataType: 'json',
			//data: { d },
			beforeSend: function() {
				$('#wp-eis-respond').css({'display': 'inline-block'});
				if( $('body').hasClass('locale-fa-ir') ) {
					$('#wp-eis-respond').html('داده ها درحال فرستادن است').addClass('sending-data');
				} else {
					$('#wp-eis-respond').html('Sending your data').addClass('sending-data');
				}
			},
			success: function(response) {
				if( response ) {
					$('#wp-eis-respond').html(response)
					.addClass('success-respond')
					.delay(2000).fadeToggle(2000, function() {
						$(this).removeClass();
					})
				} else {
					$('#wp-eis-respond').html(response)
					.addClass('error-respond')
					.delay(2000).fadeToggle(2000, function() {
						$(this).removeClass();
					})
				}
			}
		});
	});
});